/* config.h */

#ifndef __config_h

#define __config_h

/* List of defines:
 * HAS_ISATTY - has an isatty() function (RISCOS doesn't)
 *
 *
 */

/******************************************************************************
 * Psion Series 3 Platform (EPOC16)
 */
#ifdef __EPOC__

#define _PLATFORM "EPOC16"

#define BIG_ENDIAN 1
#define SMALL_INTS 1
#define DO_NOT_USE_LIBC 1
#define FILE_PTR unsigned short

#endif /* __EPOC__ */


/******************************************************************************
 * MSDOS Platform (BCC build)
 */
#ifdef __MSDOS__

#define _PLATFORM "MSDOS"

#define BIG_ENDIAN 1
#define SMALL_INTS 1
#define DO_NOT_USE_LIBC 1
#define FILE_PTR FILE*

#endif /* __MSDOS__ */

/******************************************************************************
 * WIN32 Platform (Windows 95/98/NT4)
 */
#ifdef WIN32

#define _PLATFORM "WIN32"

#define BIG_ENDIAN 1
#define SMALL_INTS 1
#define FILE_PTR FILE*
#define HAS_ISATTY 1

#endif /* WIN32 */

/******************************************************************************
 * Cygwin32 Platform (Unix under Windows 95/98/NT4)
 */
#ifdef __GNUC__

#define _PLATFORM "CYGWIN32"

#define BIG_ENDIAN 1
#define SMALL_INTS 1
#define FILE_PTR FILE*
#define HAS_ISATTY 1

#endif /* __GNUC__ */

/******************************************************************************
 * RISCOS Platform (Acorn Archimedes)
 */
#ifdef __riscos

#define _PLATFORM "RISCOS"

#define LITTLE_ENDIAN 1
#define LARGE_INTS 1
#define FILE_PTR FILE*

#endif /* __riscos */

/*****************************************************************************/

#ifndef _PLATFORM
#error "Unable to build for this platform"
#endif /* _PLATFORM */

/*****************************************************************************/

#endif /* __config_h */
